APIReference
Получить состояние загрузки датасета
Авторизация
apiToken АвторизацияBearer <token>
StackMoreLayers API token. Send as
Authorization: Bearer sml_pat_live_<prefix>.<secret>.
In: header
Заголовки
X-SML-Upload-Session*string
Opaque, API-token-bound resumable upload session. Treat it as a secret: do not log it or send it to Object Storage.
Length
32 <= length <= 6144Ответ
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/datasets/uploads/status/" \ -H "X-SML-Upload-Session: stringstringstringstringstringst"{ "state": "uploading", "file_size": 1, "part_size": 5242880, "part_count": 1, "uploaded_bytes": 0, "uploaded_parts": [ { "part_number": 1, "size_bytes": 1 } ], "missing_part_numbers": [ 1 ]}